#ifndef _DEBUG_H
#define _DEBUG_H


#include <stdio.h>
#ifdef SYSLOG
#include <syslog.h>
#endif

int DEBUG(const char *level , const char *buf , ...);
#define DEBUGFILE "/tmp/dhcpc.debug"

#ifdef SYSLOG
# define LOG(level, str, args...) do { printf(str, ## args); \
				printf("\n"); \
				syslog(level, str, ## args); } while(0)
# define OPEN_LOG(name) openlog(name, 0, 0)
#define CLOSE_LOG() closelog()
#else
# define LOG_EMERG	"EMERGENCY!"
# define LOG_ALERT	"ALERT!"
# define LOG_CRIT	"critical!"
# define LOG_WARNING	"warning"
# define LOG_ERR	"error"
# define LOG_INFO	"info"
# define LOG_DEBUG	"debug"
//# define LOG(level, str, args...) do { printf("%s, ", level); printf(str, ## args); printf("\n"); } while(0)
	
# define OPEN_LOG(name) do {;} while(0)
# define LOG(...) do {;} while(0)
#define CLOSE_LOG() do {;} while(0)
#endif
# if 0
#ifdef DEBUG
# undef DEBUG
//# define DEBUG(level, str, args...) LOG(level, str, ## args)
# define DEBUG(level, str, args...) debug_log(args...)
# define DEBUGGING
#else
# define DEBUG(level, str, args...) do {;} while(0)
#endif
#endif

#endif
