
/****************************************************************************************
 *
 * FILE NAME:       tn7efm_pri.h
 *
 * DESCRIPTION:     Linux EFM module private definition file. (only used by tn7efm.c)
 *
 * (C) Copyright 2007, Texas Instruments Inc
 *
 * History:
 *   2/20/2007 CPH  CQ11466, Written. Added EFM support
 *  10/21/2009 EYin SMS01234914: Added PTM pre-emption support
 *
 ****************************************************************************************/

#ifndef __AR7EFM_PRI_H__
#define __AR7EFM_PRI_H__

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
#define netdev_priv(x) ((x)->priv)
#endif

static int tn7efm_dev_open (struct net_device *dev);
static int tn7efm_dev_close (struct net_device *dev);
static int tn7efm_config(struct net_device *dev, struct ifmap *map);
static int tn7efm_send(struct sk_buff *skb, struct net_device *dev);
inline static int tn7efm_queue_packet_to_sar (void *dev1, void *skb1, int dmachan, int priority);
static int tn7efm_sar_send_packet(struct net_device *dev, int chan, void *new_skb,
                                  void *data,unsigned int len, int priority);
static int tn7efm_ioctl(struct net_device *dev, struct ifreq *rq, int cmd);
static struct net_device_stats *tn7efm_stats(struct net_device *dev);
static int tn7efm_change_mtu(struct net_device *dev, int new_mtu);
//static void tn7efm_tx_timeout (struct net_device *dev);
static int tn7efm_sar_handle_interrupt(Tn7AtmPrivate *priv, int *more);
static int tn7efm_set_mac_addr(struct net_device *p_dev,void * addr);

int tn7efm_close (Tn7AtmPrivate *priv);
int tn7efm_sar_init_module(OS_FUNCTIONS *os_funcs);
int tn7efm_init (struct net_device *dev);
int tn7efm_lut_clear (struct net_device *dev, int chan);
int tn7efm_set_lut (struct net_device *dev, int chan);
int tn7efm_sar_init(struct net_device *dev);
int tn7efm_sar_activate_chan (struct net_device *dev, int chan);


#endif  // __AR7EFM_PRI_H__